aboutsummaryrefslogtreecommitdiffstats
path: root/x11/font-bh-lucidatypewriter-100dpi/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-27 20:08:35 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-27 20:08:35 +0000
commit52e18ad5e923c75d584a2339417f79af5b359e7f (patch)
tree321ee15b0cc42e1349349eb94f68796a928b0fb5 /x11/font-bh-lucidatypewriter-100dpi/APKBUILD
parent918b0c76030e330c520e2c72e4aa3254afcb622a (diff)
downloadaports-52e18ad5e923c75d584a2339417f79af5b359e7f.tar.gz
aports-52e18ad5e923c75d584a2339417f79af5b359e7f.tar.bz2
aports-52e18ad5e923c75d584a2339417f79af5b359e7f.tar.xz
x11/*-100dpi: new aports for 100dpi fonts
Diffstat (limited to 'x11/font-bh-lucidatypewriter-100dpi/APKBUILD')
-rw-r--r--x11/font-bh-lucidatypewriter-100dpi/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/x11/font-bh-lucidatypewriter-100dpi/APKBUILD b/x11/font-bh-lucidatypewriter-100dpi/APKBUILD
new file mode 100644
index 0000000000..0db4578dd6
--- /dev/null
+++ b/x11/font-bh-lucidatypewriter-100dpi/APKBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=font-bh-lucidatypewriter-100dpi
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="X.Org Bigelow & Holmes Lucida bitmap fonts"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="encodings font-alias mkfontscale mkfontdir fontconfig"
+makedepends="pkgconfig font-util-dev bdftopcf"
+install="$pkgname.post-install $pkgname.post-upgrade"
+source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2
+ $install"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --with-mapfiles=/usr/share/fonts/util \
+ --with-fontdir=/usr/share/fonts/100dpi
+ make || return 1
+ make -j1 DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="c44d3f730564da465993e9292a33c235 font-bh-lucidatypewriter-100dpi-1.0.0.tar.bz2
+8212908634d4a7ad9cd52486f2ba2cde font-bh-lucidatypewriter-100dpi.post-install
+8212908634d4a7ad9cd52486f2ba2cde font-bh-lucidatypewriter-100dpi.post-upgrade"